using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using Xdimax;

namespace WindowsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click_1(object sender, EventArgs e)
        {
            Sub20 dev = new Sub20();
            if (!dev.Open(0))
            {
                MessageBox.Show(
                    dev.GetStrError(dev.GetLastError()),
                    "Open failed");
                return ;
            }

            do
            {
                /* configure SPI */
                if (!dev.SPI_SetConfig(
                            Sub20.SpiEnable |
                            Sub20.SpiCpolRise |
                            Sub20.SpiSetupSmpl |
                            Sub20.SpiMsbFirst |
                            Sub20.SpiClk_1MHz))
                {
                    MessageBox.Show(
                        dev.GetStrError(dev.GetLastError()),
                        "SPI_SetConfig failed");
                    break;
                }

                byte [] data = new byte[] {0x33, 0x44, 0x55};

                /* transmit data, slave select 2 */

                if (!dev.SPI_Write(data, 2, Sub20.SpiSS_HL))
                {
                    MessageBox.Show(
                        dev.GetStrError(dev.GetLastError()),
                        "SPI_Read failed");
                    break;
                }

            } while (false);

            dev.Close();
        }
    }
}